eoDynSGATransform(3)

NAME
eoDynSGATransform - eoDynSGATransform: transforms a population using genetic operators.

SYNOPSIS

#include <eoSGATransform.h>

Inherits eoTransform< EOT >< EOT >.

  Public Member Functions
eoDynSGATransform (eoQuadOp< EOT > &_cross, double _cProba, eoMonOp< EOT > &_mutate, double _mProba)
Default constructor - receives values.
eoDynSGATransform (eoQuadOp< EOT > &_cross, double *_cProbaRef, eoMonOp< EOT > &_mutate, double *_mProbaRef)
This constructor receives pointers.
void operator() (eoPop< EOT > &_pop)
Transforms a population.
double & PCrossHandle ()
double & PMutHandle ()

  Private Attributes
eoInvalidateQuadOp< EOT > cross
double crossoverProbaHolder
double & crossoverProba
eoInvalidateMonOp< EOT > mutate
double mutationProbaHolder
double & mutationProba

Detailed Description

  template<class EOT> class eoDynSGATransform< EOT >
eoDynSGATransform: transforms a population using genetic operators. It is the Dynamic version of the above eoSGATransform i.e. the operators probabilities can be passed as an eoValueParam, and hence can be modified from outside It is here mainly for tutorial reasons

Definition at line 98 of file eoSGATransform.h.

Member Function Documentation

  template<class EOT> void eoDynSGATransform< EOT >::operator() (eoPop< EOT > & _pop) [inline, virtual]

Transforms a population.

Parameters:
    pop The population to be transformed.

Implements eoUF< eoPop< EOT > &, void >.

Definition at line 125 of file eoSGATransform.h.

References eoRng::flip().

Author

Generated automatically by Doxygen for EO from the source code.